<!DOCTYPE html>
<html lang="es">
    <%- include('../partials/head', {title : 'Categorías' }) %>

    <body class="admin-body">
        <%- include('../components/navBar') %>
        <div class="admin">
            <div class="row">
                <%- include('../components/sideBarMenu') %>
                <main class="col-md-9 ms-sm-auto px-md-4">
                    <% if (locals.active && locals.active === 'create') { %>
                        <div class="title-admin">
                            <h1>Agregar</h1>
                        </div>
                        <form class="create-form" action="/admin/categorias/nuevo" method="post" id="create-category-form">
                    <% } else { %>
                        <div class="title-admin">
                            <h1>Editar</h1>
                        </div>
                        <form class="edit-form" action="/admin/<%= locals.infoCategory.id %>/editar-categoria" method="post" id="edit-category-form">
                    <%} %>
                            
                        <div id="seccionError" class="mb-4">
                            <% if (locals.mensaje){ %>
                                <% if(typeof locals.mensaje == typeof {}) { %>
                                    <div class="alert alert-<%= ( locals.ok == true ) ? 'success' : 'danger' %> align-items-center" role="alert">
                                        <ul class="mb-0">
                                            <% locals.mensaje.forEach(item => { %>
                                                <li>
                                                    <b><%= item.msg %></b>
                                                </li>
                                            <% }) %>
                                        </ul>                                                                                                                                              
                                    </div>
                                <% } else { %>
                                    <div class="alert alert-<%= ( locals.ok == true ) ? 'success' : 'danger' %> align-items-center" role="alert">
                                        <span> 
                                            <b>
                                                <%= locals.mensaje%>
                                            </b>
                                        </span>
                                    </div>
                                <% } %>
                            <% } %>
                        </div>
                        
                        <div class="mb-3">
                            <label for="name" class="form-label">Nombre</label>
                            <input 
                                type="text" 
                                id="name"
                                class="form-control" 
                                name="name"
                                value="<%= locals.infoCategory? locals.infoCategory.name : '' %>" 
                                required
                            >
                        </div>

                        <div class="mb-3 form-check form-switch">
                            <input 
                                type="checkbox"
                                id="state"
                                class="form-check-input"
                                name="state"
                                role="switch"
                                <%= (locals.infoCategory.state == 1) ? 'checked' : '' %>                            
                            >
                            <label class="form-check-label" for="state">Activo</label>
                        </div>
                        
                        <% if (locals.active && locals.active === 'create') { %>
                            <div class="btn-group" role="group" aria-label="Basic outlined example">
                                <button id="btn-enviar" type="submit" class="btn btn-outline-institucional">Crear</button>
                            </div>
                        <% } else { %>
                            <div class="btn-group" role="group" aria-label="Basic outlined example">
                                <button id="btn-enviar" type="submit" class="btn btn-outline-institucional">Actualizar</button>
                            </div>
                        <%} %>
                                                                 
                    </form>
                </main>
            </div>
        </div>
    </body>
</html>